2

We are upgrading below dll files of Tridion CME

  • Tridion.Web.UI.DataExtenders.dll
  • Tridion.Web.UI.Editors.CME.dll
  • Tridion.Web.UI.Models.CME.dll

Those were tested and deployed in lower environments there it worked fine. But in our Higher environment we are getting below error in Tridion CME. We have reverted the changes(older dll files)

Cannot load user credentials. The wrapper class is not available. The system is using the default value. Could not relate Tridion.Web.UI.Models.TCM54.dll.(some numbers)

Has anyone faced similar issues, I wanted to check here before reaching out to SDL Support Team.

Below is Tridion Version info.

  • Content Manager Explorer - Build 6.1.0.55920
  • Content Manager - Build 6.1.0.998
  • Update Version - Hotfix Rollup SDL Tridion 2011 SP1 - 1

Fix: Make sure that all the dll files are registerd succesfully. The one that failed in GAC regsitered had dependancy with other dll files. We redeployed failed on in GAC via command line. Also the Tridion Services needs to be stopped\restarted during this activity to pick up new dll files.

  • 2
    Are you trying to only upgrade one part of the system but not the rest? There are many dependencies, so that is unlikely to work... – Peter Kjaer Aug 11 '14 at 12:25
  • Yes I am only adding few patches released by Tridion. We have already deployed few Content Delivery patches and they were coming up fine. – Ajo Mathew Aug 12 '14 at 4:23
1

Make sure that all the dll files are registerd succesfully. The one that failed in GAC regsitered had dependancy with other dll files. We redeployed failed on in GAC via command line. Also the Tridion Services needs to be stopped\restarted during this activity to pick up new dll files.

  • Register all depandancy dll files- if one fails revert all the rest of the dll files.
  • Stop\restart Tridion Services while deploying
  • Register GAC files via commandline(Administrator command line)
| improve this answer | |
0

The first thing I or even SDL support will say is to upgrade to SDL Tridion 2011 SP1 HR 2. I am saying this as I suspect the latest DLLs might be incompatible with HR1 (Probably). The support will say it because officially the SDL Tridion 2011 SP1 HR1 is not supported.

I would suggest first to upgrade to HR2 and if you still see this issue, then revert here.

| improve this answer | |
  • We are deliberating for HR2 update. For this issue we are going to re register the DLL Files. Will update the question once the issue is resolved. – Ajo Mathew Aug 11 '14 at 19:14
  • 1
    OK, all the best and please update your findings once you are done so that it will help other members of the community – Pankaj Gaur Aug 12 '14 at 3:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.